# Uses of Interface
org.eclipse.ui.application.IWorkbenchConfigurer

Packages that use IWorkbenchConfigurer
Package
Description
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IWorkbenchConfigurer in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IWorkbenchConfigurer
Modifier and Type
Method
Description
`IWorkbenchConfigurer`
IWorkbenchWindowConfigurer.`getWorkbenchConfigurer()`
Returns the workbench configurer.
`protected IWorkbenchConfigurer`
WorkbenchAdvisor.`getWorkbenchConfigurer()`
Returns the workbench configurer for the advisor.
Methods in org.eclipse.ui.application with parameters of type IWorkbenchConfigurer
Modifier and Type
Method
Description
`void`
WorkbenchAdvisor.`initialize(IWorkbenchConfigurer configurer)`
Performs arbitrary initialization before the workbench starts running.
`final void`
WorkbenchAdvisor.`internalBasicInitialize(IWorkbenchConfigurer configurer)`
Remembers the configurer and calls `initialize`.

## Uses of IWorkbenchConfigurer in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkbenchConfigurer
Modifier and Type
Class
Description
`final class`
`WorkbenchConfigurer`
Internal class providing special access for configuring the workbench.
Methods in org.eclipse.ui.internal that return IWorkbenchConfigurer
Modifier and Type
Method
Description
`IWorkbenchConfigurer`
WorkbenchWindowConfigurer.`getWorkbenchConfigurer()`